Get a task status Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v1/task-status/{taskStatus_uuid}

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • taskStatus_uuid string Required

Responses

  • 201 application/json
    Hide response attributes Show response attributes object
    • uuid string
    • created_at string
    • updated_at string
    • name string
    • colour string
    • position integer
    • is_type_completed boolean
    • is_archived boolean
    • is_not_started boolean
GET /api/v1/task-status/{taskStatus_uuid}
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/task-status/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (201)
[
  {
    "uuid": "dd6b8bf7-ecc4-4764-98e8-550343f1acbf",
    "created_at": "2026-07-17T15:25:29+01:00",
    "updated_at": "2026-07-17T15:25:29+01:00",
    "name": "Incomplete",
    "colour": "#398898",
    "position": 1,
    "is_type_completed": false,
    "is_archived": false,
    "is_not_started": false
  }
]